module Cally
  module ApplicationHelper
    #helper_method :current_user, :logged_in?, :is_admin?, :is_first_user?

    def current_user
      @current_user ||= User.find(session[:user_id]) if session[:user_id]
    end

    def logged_in?
      !!current_user
    end
  
    def is_admin?
      if logged_in? && current_user.admin
        return true
      else
        return false
      end
    end

    def is_first_user?(user)
      if user == User.first
        return true
      else
        return false
      end
    end

  end
end
