class CreateCallyUsers < ActiveRecord::Migration[5.1]
  def change
    create_table :cally_users do |t|
      t.string :username
      t.string :email
      t.boolean :admin, default: :false
      t.string :password_digest
      t.string :user_key
      t.datetime :last_logged_in_time, default: DateTime.current
      t.datetime :logged_in_time, default: DateTime.current
      t.integer :retry, default: 0
      t.date :retry_date, default: Date.today
      t.string :reset_key
      t.timestamps null: false
    end
  end
end
