module Cally
  class Invitation < ActiveRecord::Base
  
    before_save { self.email = email.downcase }
    validates :email, uniqueness: { case_sensitive: false }, format: { with: /\A[\w+\-.]+@[a-z\d\-.]+\.[a-z]+\z/i }
  
  end
end
